/*
 * This file is generated by jOOQ.
 */
package jooq.model;


import jooq.model.tables.Collision;
import jooq.model.tables.Flight;
import jooq.model.tables.records.CollisionRecord;
import jooq.model.tables.records.FlightRecord;

import org.jooq.TableField;
import org.jooq.UniqueKey;
import org.jooq.impl.DSL;
import org.jooq.impl.Internal;


/**
 * A class modelling foreign key relationships and constraints of tables in
 * public.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Keys {

    // -------------------------------------------------------------------------
    // UNIQUE and PRIMARY KEY definitions
    // -------------------------------------------------------------------------

    public static final UniqueKey<CollisionRecord> COLLISION_PKEY = Internal.createUniqueKey(Collision.COLLISION, DSL.name("collision_pkey"), new TableField[] { Collision.COLLISION.ID }, true);
    public static final UniqueKey<FlightRecord> FLIGHT_PKEY = Internal.createUniqueKey(Flight.FLIGHT, DSL.name("flight_pkey"), new TableField[] { Flight.FLIGHT.ID }, true);
}
